ProZilla(1)

NAME
ProZilla - a download accelerator for GNU/Linux

SYNTAX
proz [OPTIONS] <URL>

DESCRIPTION
ProZilla is a download program that makes multiple connections and downloads a file in multiple parts from different servers simultaneously, thus enhancing the download speed and downloading the file faster than a download with a single connection. ProZilla is able to do ftp searches for other possible sites that contain the same file, ping them for connection speeds and automatically download from the fastest sites. FTP passwords can be specified with the URL, or can be obtained automatically from ~/.netrc if it exists.

Options:

-r, --resume
    Resume an interrupted download

-f, --force
    Never prompt the user when overwriting files

-1  Force a single connection only

-n, --no-netrc
    Don't use .netrc, get the user/password from the command line, otherwise use the anonymous login for FTP sessions

--debug
    Log debugging info to a file (default is debug.log)

-v,--verbose
    Increase the amount of information sent to stdout

--no-curses
    Don't use the Curses interface, but the traditional plain text interface

Directories:

-P, --directory-prefix=DIR
    save the generated file to DIR/

FTP Options:

--use-port
    Force usage of PORT insted of PASV (default) for ftp transactions

Download Options:

-s, --ftpsearch
    Do a ftpsearch for faster mirrors

--no-search
    Do a direct download (no ftpsearch)

-k=n
    Use <n> connections instead of the default(4)

--timeout=n
    Set the timeout for connections to <n> seconds (default 180)

-t, --tries=n
    Set number of attempts to n (default(200), 0=unlimited)

--retry-delay=n
    Set the time between retrys to <n> seconds (default 15 seconds)

--max-bps=n
    Limit bandwith consumed to <n> bps (0=unlimited)

FTP Search Options:

--pt=n
    Wait 2*n seconds for a server response (default 2*4)

--pao=n
    Ping n servers at once(default 5 servers at once)

--max-ftps-servers=n
    Request a max of <n> servers from ftpsearch (default 40)

--min-size=n
    If a file is smaller than <n>Kb, don't search, just download it

--ftpsid=n
    The ftpsearch server to use (0=filesearching.com, 1=ftpsearch.elmundo.es)

Information Options:

-L, --license
    Display software license

-V, --version
    Display version number

EXAMPLES

proz <URL>
    ProZilla will connect to that server and download the file using the default settings

proz -1 <URL>
    ProZilla will connect and download the file in 1 part only

proz -s <URL>
    invokes ftpsearch and will download from the fastest servers

proz -s -k=10 <URL>
    invokes ftpsearch and will download from the fastest servers using 10 connections

GENTOO EXAMPLE

FETCHCOMMAND='/usr/local/bin/proz --no-curses --min-size=500 --no-getch -s ${URI} -P ${DISTDIR}'
    can be placed in /etc/make.conf to use ProZilla to download your system updates. This example will not do FTP searches for files < 500Kb, uses the text interface (handier with portage) and saves the files in your ${DISTDIR} (normally /usr/portage/distfiles)

FILES

"/etc/prozilla.conf"
    The global config file

"~/.prozrc"
    The per-user config file

"~/.netrc"
    A file which can be used to provide ProZilla with hosts, accounts and passwords

BUGS
Please report bugs to our mailinglist via the website http://prozilla.genesys.ro/